Name: zip
Version: 2.3
Release: ipl7mdk

Summary: A file compression and packaging utility compatible with PKZIP.
Summary(ru_RU.KOI8-R):     ,   PKZIP  WINZIP.
Copyright: distributable
Group: Archiving/Compression
Url: http://www.info-zip.org/pub/infozip/

Source0: ftp://ftp.uu.net/pub/archiving/zip/src/%name-%version.tar.bz2
Source1: ftp://ftp.uu.net/pub/archiving/zip/src/zcrypt29-exportable.tar.bz2


%description
The %name program is a compression and file packaging utility.  Zip is
analogous to a combination of the UNIX tar and compress commands and is
compatible with PKZIP (a compression and file packaging utility for
MS-DOS systems).
This version support crypto encryption.

Install the %name package if you need to compress files using the zip program.


%prep
%setup -q
rm -f LICENSE WHERE crypt.c crypt.h
%setup -q -DT -a1
perl -pi -e "s|-O2|$RPM_OPT_FLAGS|;s|/usr/local/bin|%_bindir|g;s|/usr/local/man|%_mandir|g" unix/configure

%define _optlevel 3

%build
sh unix/configure
%make_build -f unix/Makefile prefix=%prefix generic_gcc

# -DHAVE_DIRENT_H -DHAVE_TERMIOS_H

%install
mkdir -p $RPM_BUILD_ROOT{%_bindir,%_mandir}

%makeinstall -f unix/Makefile \
	BINDIR=$RPM_BUILD_ROOT%_bindir MANDIR=$RPM_BUILD_ROOT%_mandir/man1

%files
%_bindir/*
%_mandir/man?/*
%doc BUGS CHANGES INSTALL LICENSE MANUAL README TODO WHATSNEW WHERE

%changelog
* Fri Oct 18 2002 Rider <rider@altlinux.ru> 2.3-ipl7mdk
- russian summary
- rebuild (gcc 3.2)

* Tue Dec 04 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.3-ipl6mdk
- Rebuild for Sisyphus

* Tue Nov 07 2000 Dmitry V. Levin <ldv@fandra.org> 2.3-ipl5mdk
- RE adaptions.

* Tue Aug 22 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.3-5mdk
- fix url
- add crypto stuff

* Sun Jul 23 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.3-4mdk
- use even more macros (titisucks)
- fix the url

* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.3-3mdk
- use new macros
- BM

* Mon Apr 03 2000 Jerome Martin <jerome@mandrakesoft.com> 2.3-2mdk
- rpm group change
- spec-helper related cleanup 

* Wed Dec 08 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- upgrade to 2.3
- add URL
- remove zip archive source for the tarball (who put both the source tarball
  and the source zip ?)
- add LICENCE file

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix compilation with gcc2.95.

* Mon Aug 23 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 2.2
- handle optimizations

* Thu Jul 08 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- bzip2 man-pages.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- updated text in the spec file

* Fri Jan 15 1999 Cristian Gafton <gafton@redhat.com>
- patch top build on the arm

* Mon Dec 21 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
